package pps.core.prediction.service.data.energy_consumption_analysis;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 能耗分析表(测试用)
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Data
public class DynamicQueryEnergyConsumptionAnalysisInput {
    /**
     * 组织机构ID
     */
    @NotBlank(message = "缺少组织机构ID")
    @XText("组织机构ID")
    private String ouId;

    /**
     * 日期类型(1_近7天,2_近30天,3_自定义)
     */
    @NotNull(message = "缺少日期类型")
    @XText("日期类型(1_近7天,2_近30天,3_自定义)")
    private Integer dateType;

    /**
     * 开始时间
     */
    @XText("开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @XText("结束时间")
    private Date endTime;
}
