package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 能耗分析表(测试用)
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Data
public class QueryEnergyConsumptionAnalysisViewOutput extends XPageInput {
    @XText("ID")
    private Long id;

    @XText("线路ID")
    private String lineId;

    @XText("发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;

    @XText("消纳率(%)")
    private BigDecimal absorptionRate;

    @XText("日期")
    private Date dataDate;
}
